%define anolis_release 2

Name:		sbc
Version:	1.5
Release:	%{anolis_release}%{?dist}
Summary:	Sub Band Codec used by bluetooth A2DP

License:	GPLv2 and LGPLv2+
URL:		http://www.bluez.org
Source0:	https://mirrors.edge.kernel.org/pub/linux/bluetooth/sbc-1.5.tar.gz

Patch0:         0000-sbc-fix-non-x86.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libsndfile-devel	
Requires:       libsbc = %{version}-%{release}

%description
SBC (Sub Band Codec) is a low-complexity audio codec used in the Advanced Audio 
Distribution Profile (A2DP) bluetooth standard but can be used standalone. It 
uses 4 or 8 subbands, an adaptive bit allocation algorithm in combination with 
an adaptive block PCM quantizers.
 
%package -n     libsbc
Summary:        Library for the SBC (Sub Band Codec)

%description -n libsbc
Library for SBC (Sub Band Codec) is a low-complexity audio codec used in the
Advanced Audio Distribution Profile (A2DP) bluetooth standard but can be used
standalone. It uses 4 or 8 subbands, an adaptive bit allocation algorithm in
combination with an adaptive block PCM quantizers.

%package        devel
Summary: 	Development package for %{name}
Requires: 	%{name} = %{version}-%{release}
Requires: 	libsbc = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%ldconfig_scriptlets

%files
%doc AUTHORS ChangeLog
%{_bindir}/sbc*

%files -n       libsbc
%license COPYING
%{_libdir}/libsbc.so.1*

%files          devel
%{_includedir}/sbc/
%{_libdir}/pkgconfig/sbc.pc
%{_libdir}/libsbc.so

%changelog
* Tue Apr 19 2022 happy_orange <songnannan@linux.alibaba.com> - 1.5-2
- Modify the requires to libsbc

* Fri Apr 15 2022 happy_orange <songnannan@linux.alibaba.com> - 1.5-1
- Init package from upstream
